package com.prototype.tree;

import javax.annotation.PostConstruct;
import javax.inject.Named;

import org.richfaces.model.TreeNode;
import org.richfaces.model.TreeNodeImpl;

@Named("treebean")
public class TreeBean
{
    private TreeNodeImpl stationRoot = new TreeNodeImpl();

    private TreeNodeImpl stationNodes = null;

    private String[] kickRadioFeed = { "Hall & Oates - Kiss On My List",

    "David Bowie - Let's Dance",

    "Lyn Collins - Think (About It)",

    "Kim Carnes - Bette Davis Eyes",

    "KC & the Sunshine Band - Give It Up" };

    @PostConstruct
    public void init()
    {
        stationNodes = new TreeNodeImpl();
        stationRoot.setData("KickRadio");

        stationNodes.addChild(0, stationRoot);

        for (int i = 0; i < kickRadioFeed.length; i++)
        {

            TreeNodeImpl child = new TreeNodeImpl();

            child.setData(kickRadioFeed[i]);

            stationRoot.addChild(i, child);

        }
    }

    public TreeNode getRoot()
    {

        if (stationNodes == null)
        {
            init();
        }
        return stationNodes;
    }

    public void setRoot(TreeNodeImpl node)
    {
        this.stationNodes = node;
    }

}
